source: orange/install-scripts/mac/dailyrun-finkonly-withsource.sh @ 8096:d420b5057e4b

Revision 8096:d420b5057e4b, 2.3 KB checked in by mitar, 3 years ago (diff)

Made daily building logging more verbose.

  • Property exe set to *
RevLine 
[6515]1#!/bin/bash
2#
3# Should be run as: sudo ./dailyrun-finkonly-withsource.sh
4#
5
[8060]6test -r /sw/bin/init.sh && . /sw/bin/init.sh
7
[7679]8STABLE_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
[6515]9# svn info does not return proper exit status on an error so we check it this way
10[ "$STABLE_REVISION_1" ] || exit 1
[7679]11STABLE_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
[6515]12# svn info does not return proper exit status on an error so we check it this way
13[ "$STABLE_REVISION_2" ] || exit 1
14
[7698]15if [[ $STABLE_REVISION_1 -gt $STABLE_REVISION_2 ]]; then
[6515]16    STABLE_REVISION=$STABLE_REVISION_1
17else
18    STABLE_REVISION=$STABLE_REVISION_2
19fi
20
[7679]21DAILY_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
[6515]22# svn info does not return proper exit status on an error so we check it this way
23[ "$DAILY_REVISION_1" ] || exit 1
[7679]24DAILY_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
[6515]25# svn info does not return proper exit status on an error so we check it this way
26[ "$DAILY_REVISION_2" ] || exit 1
27
[7698]28if [[ $DAILY_REVISION_1 -gt $DAILY_REVISION_2 ]]; then
[6515]29    DAILY_REVISION=$DAILY_REVISION_1
30else
31    DAILY_REVISION=$DAILY_REVISION_2
32fi
33
[6532]34MAC_VERSION=`sw_vers -productVersion | cut -d '.' -f 2`
[8096]35ARCH=`perl -MFink::FinkVersion -e 'print Fink::FinkVersion::get_arch'`
[6532]36
[6515]37defaults write com.apple.desktopservices DSDontWriteNetworkStores true
38
[7697]39/Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; }
[6515]40
41/Users/ailabc/fink-daily-build.sh $STABLE_REVISION $DAILY_REVISION &> /private/tmp/fink-daily-build.log
42EXIT_VALUE=$?
[7694]43
[7697]44/Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; }
[7694]45
[8096]46echo "Orange (fink $MAC_VERSION $ARCH) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/fink-$MAC_VERSION-$ARCH-daily-build.log"
47date >> "/Volumes/download/buildLogs/osx/fink-$MAC_VERSION-$ARCH-daily-build.log"
48cat /private/tmp/fink-daily-build.log >> "/Volumes/download/buildLogs/osx/fink-$MAC_VERSION-$ARCH-daily-build.log"
[6515]49(($EXIT_VALUE)) && echo "Running fink-daily-build.sh failed"
50
51# Zero exit value
52true
Note: See TracBrowser for help on using the repository browser.